OpenTTD Source: src/gui.h File Reference

OpenTTD Source 14.0-RC3

Functions
gui.h File Reference
`#include "vehicle_type.h"`
`#include "economy_type.h"`
`#include "tile_type.h"`
`#include "transport_type.h"`
`#include "story_type.h"`
`#include "company_type.h"`

Go to the source code of this file.

## Functions
void | InitializeGUI ()
void | ShowGameOptions ()
| Open the game options window.
void | ShowGameSettings ()
| Open advanced settings window.
void | ShowOrdersWindow (const Vehicle *v)
Window * | ShowBuildDocksToolbar ()
| Open the build water toolbar window. More...
Window * | ShowBuildDocksScenToolbar ()
| Open the build water toolbar window for the scenario editor. More...
Window * | ShowBuildAirToolbar ()
| Open the build airport toolbar window. More...
void | ShowGenerateLandscape ()
| Start with a normal game.
void | ShowHeightmapLoad ()
| Start with loading a heightmap.
void | ShowLandInfo (TileIndex tile)
| Show land information window. More...
void | ShowAboutWindow ()
void | ShowEstimatedCostOrIncome (Money cost, int x, int y)
| Display estimated costs. More...
void | ShowBuildTreesToolbar ()
void | ShowTownDirectory ()
void | ShowFoundTownWindow ()
void | ShowIndustryDirectory ()
void | ShowIndustryCargoesWindow ()
| Open the industry and cargoes window with an industry.
void | ShowBuildIndustryWindow ()
void | ShowSubsidiesList ()
void | ShowGoalsList (CompanyID company)
| Open a goal list window. More...
void | ShowGoalQuestion (uint16_t id, byte type, uint32_t button_mask, const std::string &question)
| Display a goal question. More...
void | ShowStoryBook (CompanyID company, uint16_t page_id=INVALID_STORY_PAGE, bool centered=false)
| Raise or create the story book window for company, at page page_id. More...
void | ShowExtraViewportWindow (TileIndex tile=INVALID_TILE)
| Show a new Extra Viewport window. More...
void | ShowExtraViewportWindowForTileUnderCursor ()
| Show a new Extra Viewport window. More...
void | ShowBuildBridgeWindow (TileIndex start, TileIndex end, TransportType transport_type, byte bridge_type)
| Prepare the data for the build a bridge window. More...
void | ShowMusicWindow ()

## Detailed Description

GUI functions that shouldn't be here.

Definition in file gui.h.

## Function Documentation

## ◆ ShowBuildAirToolbar()

Window* ShowBuildAirToolbar | ( |  | ) |

Open the build airport toolbar window.

If the terraform toolbar is linked to the toolbar, that window is also opened.

Returns
  newly opened airport toolbar, or nullptr if the toolbar could not be opened.

Definition at line 225 of file airport_gui.cpp.

References _local_company, CloseWindowByClass(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), and WC_BUILD_TOOLBAR.

Referenced by MenuClickBuildAir().

## ◆ ShowBuildBridgeWindow()

void ShowBuildBridgeWindow | ( | TileIndex | start,
|  | TileIndex | end,
|  | TransportType | transport_type,
|  | byte | road_rail_type
| ) |  |

Prepare the data for the build a bridge window.

If we can't build a bridge under the given conditions show an error message.

Parameters

  start | The start tile of the bridge
  end | The end tile of the bridge
  transport_type | The transport type
  road_rail_type | The road/rail type

Definition at line 361 of file bridge_gui.cpp.

References _ctrl_pressed, _last_railbridge_type, _last_roadbridge_type, CalcBridgeLenCostFactor(), CcBuildBridge(), CheckBridgeAvailability(), CloseWindowByClass(), CommandFlagsToDCFlags(), DC_QUERY_COST, CommandCost::Failed(), CommandCost::GetErrorMessage(), GetTunnelBridgeLength(), INVALID_ROADTYPE, INVALID_STRING_ID, IsBridgeTile(), TRANSPORT_RAIL, TRANSPORT_ROAD, and WC_BUILD_BRIDGE.

## ◆ ShowBuildDocksScenToolbar()

Window* ShowBuildDocksScenToolbar | ( |  | ) |

Open the build water toolbar window for the scenario editor.

Returns
  newly opened water toolbar, or nullptr if the toolbar could not be opened.

Definition at line 403 of file dock_gui.cpp.

References _build_docks_scen_toolbar_desc, and TRANSPORT_WATER.

## ◆ ShowBuildDocksToolbar()

Window* ShowBuildDocksToolbar | ( |  | ) |

Open the build water toolbar window.

If the terraform toolbar is linked to the toolbar, that window is also opened.

Returns
  newly opened water toolbar, or nullptr if the toolbar could not be opened.

Definition at line 362 of file dock_gui.cpp.

References _local_company, CloseWindowByClass(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), and WC_BUILD_TOOLBAR.

Referenced by MenuClickBuildWater().

## ◆ ShowEstimatedCostOrIncome()

void ShowEstimatedCostOrIncome | ( | Money | cost,
|  | int | x,
|  | int | y
| ) |  |

Display estimated costs.

Parameters

  cost | Estimated cost (or income if negative).
  x | X position of the notification window.
  y | Y position of the notification window.

Definition at line 549 of file misc_gui.cpp.

## ◆ ShowExtraViewportWindow()

void ShowExtraViewportWindow | ( | TileIndex | tile | ) |

Show a new Extra Viewport window.

Parameters

  tile | Tile to center the view on. INVALID_TILE means to use the center of main viewport.

Definition at line 156 of file viewport_gui.cpp.

References FindWindowById(), and WC_EXTRA_VIEWPORT.

Referenced by StoryBookWindow::OnPageElementClick().

## ◆ ShowExtraViewportWindowForTileUnderCursor()

void ShowExtraViewportWindowForTileUnderCursor | ( |  | ) |

Show a new Extra Viewport window.

Center it on the tile under the cursor, if the cursor is inside a viewport. If that fails, center it on main viewport center.

Definition at line 171 of file viewport_gui.cpp.

## ◆ ShowGoalQuestion()

void ShowGoalQuestion | ( | uint16_t | id,
|  | byte | type,
|  | uint32_t | button_mask,
|  | const std::string & | question
| ) |  |

Display a goal question.

Parameters

  id | Window number to use.
  type | Type of question.
  button_mask | Buttons to display.
  question | Question to ask.

Definition at line 486 of file goal_gui.cpp.

## ◆ ShowGoalsList()

void ShowGoalsList | ( | CompanyID | company | ) |

Open a goal list window.

Parameters

  company | Company to display the goals for, use INVALID_COMPANY to display global goals.

Definition at line 316 of file goal_gui.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by MenuClickGoal(), and StoryBookWindow::OnPageElementClick().

## ◆ ShowLandInfo()

void ShowLandInfo | ( | TileIndex | tile | ) |

Show land information window.

Parameters

  tile | The tile to show information about.

Definition at line 377 of file misc_gui.cpp.

References CloseWindowById(), and WC_LAND_INFO.

## ◆ ShowStoryBook()

void ShowStoryBook | ( | CompanyID | company,
|  | uint16_t | page_id,
|  | bool | centered
| ) |  |

Raise or create the story book window for company, at page page_id.

Parameters

  company | 'Owner' of the story book, may be INVALID_COMPANY.
  page_id | Page to open, may be #INVALID_STORY_PAGE.
  centered | Whether to open the window centered.

Definition at line 1053 of file story_gui.cpp.

Referenced by CmdShowStoryPage(), GoalListWindow::HandleClick(), and MenuClickStory().